package com.cool.store.vo.interview;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
 * @Author: young.yu
 * @Date: 2023-06-16  13:25
 * @Description:
 */
@ApiModel(description = "日程忙闲信息")
public class FreeBusyInfo {
    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("是否空闲")
    private boolean isFree;

    public FreeBusyInfo(String startTime, String endTime, boolean isFree) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.isFree = isFree;
    }

    public FreeBusyInfo(String startTime, String endTime) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.isFree = isFree;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public boolean isFree() {
        return isFree;
    }

    public void setFree(boolean free) {
        isFree = free;
    }
}